Index: /issm/trunk-jpl/jenkins/jenkins.sh
===================================================================
--- /issm/trunk-jpl/jenkins/jenkins.sh	(revision 26761)
+++ /issm/trunk-jpl/jenkins/jenkins.sh	(revision 26762)
@@ -345,9 +345,6 @@
 EOF
 		cd $ISSM_DIR/test/NightlyRun
-		if [[ "${OS}" == CYGWIN* || ${MINGW} -eq 1 ]]; then
-			$MATLAB_PATH/bin/matlab -nodesktop -nosplash -nojvm -r "addpath ${ISSM_DIR_WIN}/src/m/dev; devpath; addpath ${ISSM_DIR_WIN}/nightlylog; matlab_run$i" -logfile ${ISSM_DIR_WIN}/nightlylog/matlab_log$i.log &
-		else
-			$MATLAB_PATH/bin/matlab -nodisplay -nosplash -r "addpath ${ISSM_DIR}/src/m/dev; devpath; addpath ${ISSM_DIR}/nightlylog; matlab_run$i" -logfile ${ISSM_DIR}/nightlylog/matlab_log$i.log &
-		fi
+
+		$MATLAB_PATH/bin/matlab -nodisplay -nosplash -nojvm -r "addpath ${ISSM_DIR}/src/m/dev; devpath; addpath ${ISSM_DIR}/nightlylog; matlab_run$i" &> ${ISSM_DIR}/nightlylog/matlab_log$i.log
 	done
 
@@ -403,4 +400,17 @@
 	#filter out windows characters:
 	cat matlab_log.log | tr -cd '\11\12\40-\176' > matlab_log.log2 && mv matlab_log.log2 matlab_log.log
+
+	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab_log.log  | wc -l`
+
+	if [[ ${matlabExitedInError} -ne 0 ]]; then
+		echo "----------MATLAB exited in error!----------"
+		cat matlab_log.log 
+		echo "-----------End of matlab.log-----------"
+
+		# Clean up execution directory
+		rm -rf ${ISSM_DIR}/execution/*
+
+		exit 1
+	fi
 fi
 # }}}
@@ -440,4 +450,18 @@
 		cat python_log$i.log >> python_log.log
 	done
+
+	# Check that Python did not exit in error
+	pythonExitedInError=`grep -E "Error|Standard exception|Traceback|bad interpreter" python_log.log | wc -l`
+
+	if [ $pythonExitedInError -ne 0 ]; then
+		echo "----------Python exited in error!----------"
+		cat python_log.log
+		echo "-----------End of python_log.log-----------"
+
+		# Clean up execution directory
+		rm -rf $ISSM_DIR/execution/*
+
+		exit 1
+	fi
 fi
 # }}}
@@ -470,18 +494,4 @@
 		juLog -test=MATLAB-$i -name=Failure -error=FAILURE awk "/starting:${i}-/{flag=1;next}/finished:${i}-/{flag=0} flag{print}" matlab_log.log
 	done
-
-	# Check that MATLAB did not exit in error
-	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab_log.log | wc -l`
-
-	if [ $matlabExitedInError -ne 0 ]; then
-		echo "----------MATLAB exited in error!----------"
-		cat matlab_log.log
-		echo "-----------End of matlab_log.log-----------"
-
-		# Clean up execution directory
-		rm -rf $ISSM_DIR/execution/*
-
-		exit 1
-	fi
 fi
 
@@ -496,18 +506,4 @@
 		juLog -test=PYTHON-$i -name=Failure -error=FAILURE awk "/starting:${i}-/{flag=1;next}/finished:${i}-/{flag=0} flag{print}" python_log.log
 	done
-
-	# Check that Python did not exit in error
-	pythonExitedInError=`grep -E "Error|Standard exception|Traceback|bad interpreter" python_log.log | wc -l`
-
-	if [ $pythonExitedInError -ne 0 ]; then
-		echo "----------Python exited in error!----------"
-		cat python_log.log
-		echo "-----------End of python_log.log-----------"
-
-		# Clean up execution directory
-		rm -rf $ISSM_DIR/execution/*
-
-		exit 1
-	fi
 fi
 
@@ -523,18 +519,4 @@
 		juLog -test=Example-$i -name=Failure -error=FAILURE awk "/^starting: ${i}$/{flag=1;next}/^finished: ${i}$/{flag=0} flag{print}" matlab_log_examples.log
 	done
-
-	# Check that MATLAB did not exit in error
-	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab_log_examples.log | wc -l`
-
-	if [ $matlabExitedInError -ne 0 ]; then
-		echo "----------MATLAB exited in error!----------"
-		cat matlab_log_examples.log
-		echo "-----------End of matlab_log.log-----------"
-
-		# Clean up execution directory
-		rm -rf $ISSM_DIR/execution/*
-
-		exit 1
-	fi
 fi
 
Index: /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-matlab.sh
===================================================================
--- /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-matlab.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-matlab.sh	(revision 26762)
@@ -119,11 +119,10 @@
 
 	# Run tests, redirecting output to logfile and suppressing output to console
-	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
+	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -nojvm -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" &> matlab.log
 
 	# Check that MATLAB did not exit in error
-	matlabExitCode=`echo $?`
-	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run" matlab.log | wc -l`
+	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab.log | wc -l`
 
-	if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
+	if [ ${matlabExitedInError} -ne 0 ]; then
 		echo "----------MATLAB exited in error!----------"
 		cat matlab.log
@@ -139,5 +138,5 @@
 	numTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
 
-	if [[ ${numTestsFailed} -ne 0 ]]; then
+	if [ ${numTestsFailed} -ne 0 ]; then
 		echo "One or more tests FAILED"
 		exit 1
Index: /issm/trunk-jpl/packagers/mac/commit_for_signing-issm-mac-binaries-matlab.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/commit_for_signing-issm-mac-binaries-matlab.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/mac/commit_for_signing-issm-mac-binaries-matlab.sh	(revision 26762)
@@ -242,2 +242,7 @@
 	fi
 done
+
+if [ ! -f ${SIGNED_REPO_COPY}/${NOTARIZATION_LOGFILE} ]; then
+	echo "Signing timed out!"
+	exit 1
+fi
Index: /issm/trunk-jpl/packagers/mac/commit_for_signing-issm-mac-binaries-python.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/commit_for_signing-issm-mac-binaries-python.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/mac/commit_for_signing-issm-mac-binaries-python.sh	(revision 26762)
@@ -242,2 +242,7 @@
 	fi
 done
+
+if [ ! -f ${SIGNED_REPO_COPY}/${NOTARIZATION_LOGFILE} ]; then
+	echo "Signing timed out!"
+	exit 1
+fi
Index: /issm/trunk-jpl/packagers/mac/complete-issm-mac-binaries-matlab.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/complete-issm-mac-binaries-matlab.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/mac/complete-issm-mac-binaries-matlab.sh	(revision 26762)
@@ -99,5 +99,6 @@
 	./jenkins/jenkins.sh ./jenkins/pine_island-mac-binaries-matlab
 
-	if [ $? -ne 0 ]; then 
+	if [ $? -ne 0 ]; then
+		echo "Failure while compiling"
 		exit 1
 	fi
@@ -107,9 +108,11 @@
 if [ ${package} -eq 1 ]; then
 	./packagers/mac/package-issm-mac-binaries-matlab.sh $1
-	shift # Clear $1 so that it is not passed to commit_for_signing script
 
-	if [ $? -ne 0 ]; then 
+	if [ $? -ne 0 ]; then
+		echo "Failure during packaging"
 		exit 1
 	fi
+
+	shift # Clear $1 so that it is not passed to commit_for_signing script
 fi
 
@@ -118,5 +121,6 @@
 	./packagers/mac/commit_for_signing-issm-mac-binaries-matlab.sh $1
 
-	if [ $? -ne 0 ]; then 
+	if [ $? -ne 0 ]; then
+		echo "Failure while committing package for signing"
 		exit 1
 	fi
@@ -127,5 +131,6 @@
 	./packagers/mac/transfer-issm-mac-binaries.sh
 
-	if [ $? -ne 0 ]; then 
+	if [ $? -ne 0 ]; then
+		echo "Failure while transferring package to ISSM server"
 		exit 1
 	fi
Index: /issm/trunk-jpl/packagers/mac/complete-issm-mac-binaries-python.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/complete-issm-mac-binaries-python.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/mac/complete-issm-mac-binaries-python.sh	(revision 26762)
@@ -107,9 +107,10 @@
 if [ ${package} -eq 1 ]; then
 	./packagers/mac/package-issm-mac-binaries-python.sh $1
-	shift # Clear $1 so that it is not passed to commit_for_signing script
 
 	if [ $? -ne 0 ]; then 
 		exit 1
 	fi
+
+	shift # Clear $1 so that it is not passed to commit_for_signing script
 fi
 
Index: /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries-matlab.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries-matlab.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries-matlab.sh	(revision 26762)
@@ -133,11 +133,10 @@
 
 	# Run tests, redirecting output to logfile and suppressing output to console
-	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
+	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -nojvm -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" &> matlab.log
 
 	# Check that MATLAB did not exit in error
-	matlabExitCode=`echo $?`
-	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run" matlab.log | wc -l`
+	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab.log | wc -l`
 
-	if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
+	if [ ${matlabExitedInError} -ne 0 ]; then
 		echo "----------MATLAB exited in error!----------"
 		cat matlab.log
Index: /issm/trunk-jpl/packagers/mac/sign-issm-mac-binaries-matlab.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/sign-issm-mac-binaries-matlab.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/mac/sign-issm-mac-binaries-matlab.sh	(revision 26762)
@@ -67,5 +67,5 @@
 # NOTE: May be able to remove this after updating macOS.
 #
-#alias svn='/usr/local/bin/svn'
+alias svn='/usr/local/bin/svn'
 
 ## Override certain other aliases
Index: /issm/trunk-jpl/packagers/mac/sign-issm-mac-binaries-python.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/sign-issm-mac-binaries-python.sh	(revision 26761)
+++ /issm/trunk-jpl/packagers/mac/sign-issm-mac-binaries-python.sh	(revision 26762)
@@ -67,5 +67,5 @@
 # NOTE: May be able to remove this after updating macOS.
 #
-#alias svn='/usr/local/bin/svn'
+alias svn='/usr/local/bin/svn'
 
 ## Override certain other aliases
